Emgmbh\RecordBundle\Entity\RecordDistrictRouteCustomer:
    type: entity
    repositoryClass: RecordDistrictRouteCustomerRepository
    id:
        id:
            type: integer
            generator:
                strategy: AUTO
    fields:
        date:
            type: datetime
            nullable: false
        name:
            type: string
            nullable: false
            length: 100
        street:
            type: string
            nullable: false
            length: 100
        streetNumber:
            type: string
            nullable: false
            length: 20
        postcode:
            type: string
            nullable: false
            length: 20
        city:
            type: string
            nullable: false
            length: 50
        newspaper:
            type: string
            nullable: false
            length: 50
        isFailed:
            type: boolean
            nullable: false


    lifecycleCallbacks: {  }

    manyToOne:
        market:
            targetEntity: Emgmbh\MarketBundle\Entity\Market
            joinColumns:
                market_number:
                    referencedColumnName: number
